function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/24_Hold_Steps_HO.lua', 'hidden_object', 'data/Scenes/24_Hold_Main.lua')
    
    play_field:IgnoreOnTestPoint('fly_anim');
    play_field:IgnoreOnTestPoint('BG_Pryazhka3');
    play_field:IgnoreOnTestPoint('BG_Epolet');
    play_field:IgnoreOnTestPoint('BG_Girya');
    
    AddTask(CreateTask('CROWBAR',     '',             'Crowbar'));
    AddTask(CreateTask('BUCKLE',      'BUCKLES',      'Buckle1',     'Buckle2',     'Buckle3'));
    AddTask(CreateTask('CLOTHESPIN',  'CLOTHESPINS',  'Clothespin1', 'Clothespin2', 'Clothespin3'));
    AddTask(CreateTask('HEART',       'HEARTS',       'Heart1',      'Heart2',      'Heart3'));
    
    AddRandomTasks( CreateTask('AXE_HEAD',      '',         'Axe'),
                    CreateTask('BALL',          '',         'Ball'),
                    CreateTask('BELT',          '',         'Belt'),
                    CreateTask('BOLT',          '',         'Bolt'),
                    CreateTask('BOOTS',         '',         'Boots'),
                    CreateTask('BOXINGGLOVES',  '',         'BoxingGloves'),
                    CreateTask('BUTTON',        '',         'Button'),
                    CreateTask('SAILORS_COLLAR','',         'Collar'),
                    CreateTask('COMB',          '',         'Comb'),
                    CreateTask('EPAULET',       '',         'Epaulet'),
                    CreateTask('FISH',          'FISHES',   'Fish1', 'Fish2', 'Fish3'),
                    CreateTask('GLASSES',       '',         'Glasses'),
                    CreateTask('HAMMER',        '',         'Hammer'),
                    CreateTask('HOOK',          'HOOKS',    'Hook1', 'Hook2'),
                    CreateTask('IRON',          '',         'Iron'),
                    CreateTask('NEEDLE',        '',         'Needle'),
                    CreateTask('OAKTWIG',       '',         'OakTwig'),
                    CreateTask('PROFILE_24',    '',         'Profile'),
                    CreateTask('ROULETTE',      '',         'Roulette'),
                    CreateTask('SALVER',        '',         'Salver'),
                    CreateTask('SCISSORS',      '',         'Scissors'),
                    CreateTask('PROPELLER',     '',         'Screw'),
                    CreateTask('UMBRELLA',      '',         'Umbrella'),
                    CreateTask('VIAL',          'VIALS',    'Vial1', 'Vial2', 'Vial3'),
                    CreateTask('WATCH',         '',         'Watch'),
                    CreateTask('WEIGHT',        '',         'Weight'));
    
    RegisterToolFindInfo('24_crowbar');
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Axe.png',0,0,87,106,1,0)
	anim:SetHotSpot(43,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Axe',anim,427,364,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Ball.png',0,0,95,94,1,0)
	anim:SetHotSpot(47,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ball',anim,783,306,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Belt.png',0,0,68,111,1,0)
	anim:SetHotSpot(34,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Belt',anim,156,350,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Bolt.png',0,0,60,41,1,0)
	anim:SetHotSpot(30,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bolt',anim,620,528,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Boots.png',0,0,173,130,1,0)
	anim:SetHotSpot(86,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Boots',anim,676,598,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/BoxingGloves.png',0,0,163,135,1,0)
	anim:SetHotSpot(81,67)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BoxingGloves',anim,129,248,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Buckle1.png',0,0,98,91,1,0)
	anim:SetHotSpot(49,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Buckle1',anim,259,616,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Buckle2.png',0,0,104,64,1,0)
	anim:SetHotSpot(52,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Buckle2',anim,276,242,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Buckle3.png',0,0,55,58,1,0)
	anim:SetHotSpot(27,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Buckle3',anim,966,218,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Button.png',0,0,44,45,1,0)
	anim:SetHotSpot(22,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button',anim,196,625,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Clothespin1.png',0,0,106,44,1,0)
	anim:SetHotSpot(53,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespin1',anim,910,599,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Clothespin2.png',0,0,66,61,1,0)
	anim:SetHotSpot(33,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespin2',anim,410,197,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Clothespin3.png',0,0,93,26,1,0)
	anim:SetHotSpot(46,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespin3',anim,620,399,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Collar.png',0,0,214,165,1,0)
	anim:SetHotSpot(107,82)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Collar',anim,104,482,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Comb.png',0,0,79,75,1,0)
	anim:SetHotSpot(39,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Comb',anim,384,609,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Crowbar.png',0,0,115,169,1,0)
	anim:SetHotSpot(57,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crowbar',anim,754,373,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Epaulet.png',0,0,130,88,1,0)
	anim:SetHotSpot(65,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Epaulet',anim,597,184,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Fish1.png',0,0,45,41,1,0)
	anim:SetHotSpot(22,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fish1',anim,200,144,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Fish2.png',0,0,56,46,1,0)
	anim:SetHotSpot(28,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fish2',anim,764,164,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Fish3.png',0,0,48,38,1,0)
	anim:SetHotSpot(24,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fish3',anim,421,291,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Glasses.png',0,0,96,62,1,0)
	anim:SetHotSpot(48,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Glasses',anim,575,43,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Hammer.png',0,0,47,113,1,0)
	anim:SetHotSpot(23,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hammer',anim,451,146,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Heart1.png',0,0,39,69,1,0)
	anim:SetHotSpot(19,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart1',anim,402,453,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Heart2.png',0,0,50,47,1,0)
	anim:SetHotSpot(25,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart2',anim,805,487,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Heart3.png',0,0,38,42,1,0)
	anim:SetHotSpot(19,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart3',anim,510,43,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Hook1.png',0,0,76,243,1,0)
	anim:SetHotSpot(38,121)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hook1',anim,370,318,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Hook2.png',0,0,90,66,1,0)
	anim:SetHotSpot(45,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hook2',anim,691,328,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Iron.png',0,0,93,118,1,0)
	anim:SetHotSpot(46,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Iron',anim,332,62,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Needle.png',0,0,77,58,1,0)
	anim:SetHotSpot(38,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Needle',anim,213,587,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/OakTwig.png',0,0,102,70,1,0)
	anim:SetHotSpot(51,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('OakTwig',anim,758,454,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Profile.png',0,0,48,65,1,0)
	anim:SetHotSpot(24,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Profile',anim,331,327,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Roulette.png',0,0,122,130,1,0)
	anim:SetHotSpot(61,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Roulette',anim,57,131,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Salver.png',0,0,130,175,1,0)
	anim:SetHotSpot(65,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Salver',anim,304,119,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Scissors.png',0,0,171,143,1,0)
	anim:SetHotSpot(85,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors',anim,930,503,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Screw.png',0,0,171,148,1,0)
	anim:SetHotSpot(85,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Screw',anim,875,296,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Umbrella.png',0,0,52,234,1,0)
	anim:SetHotSpot(26,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Umbrella',anim,212,124,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Vial1.png',0,0,94,115,1,0)
	anim:SetHotSpot(47,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Vial1',anim,906,427,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Vial2.png',0,0,42,87,1,0)
	anim:SetHotSpot(21,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Vial2',anim,85,350,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Vial3.png',0,0,54,91,1,0)
	anim:SetHotSpot(27,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Vial3',anim,774,45,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Watch.png',0,0,78,96,1,0)
	anim:SetHotSpot(39,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Watch',anim,395,49,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Items/Weight.png',0,0,112,116,1,0)
	anim:SetHotSpot(56,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Weight',anim,947,153,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Bokserskie_perchatki.png',0,0,124,111,1,0)
	anim:SetHotSpot(62,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Bokserskie_perchatki',anim,161,275,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Botinki.png',0,0,107,102,1,0)
	anim:SetHotSpot(53,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Botinki',anim,637,591,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Epolet.png',0,0,92,94,1,0)
	anim:SetHotSpot(46,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Epolet',anim,566,175,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Flakon1.png',0,0,51,134,1,0)
	anim:SetHotSpot(25,67)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Flakon1',anim,871,432,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Flakon2.png',0,0,38,86,1,0)
	anim:SetHotSpot(19,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Flakon2',anim,94,358,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Girya.png',0,0,87,70,1,0)
	anim:SetHotSpot(43,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Girya',anim,936,177,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Kryuk1.png',0,0,43,53,1,0)
	anim:SetHotSpot(21,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Kryuk1',anim,382,424,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Lom.png',0,0,52,72,1,0)
	anim:SetHotSpot(26,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Lom',anim,756,388,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Molotok.png',0,0,37,50,1,0)
	anim:SetHotSpot(18,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Molotok',anim,448,187,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Myach.png',0,0,99,106,1,0)
	anim:SetHotSpot(49,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Myach',anim,796,299,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Nozhnitsy.png',0,0,191,147,1,0)
	anim:SetHotSpot(95,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Nozhnitsy',anim,925,514,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Ochki.png',0,0,45,39,1,0)
	anim:SetHotSpot(22,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Ochki',anim,546,42,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Podnos.png',0,0,157,194,1,0)
	anim:SetHotSpot(78,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Podnos',anim,303,132,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Pryazhka3.png',0,0,28,29,1,0)
	anim:SetHotSpot(14,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Pryazhka3',anim,967,218,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Ruletka.png',0,0,92,65,1,0)
	anim:SetHotSpot(46,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Ruletka',anim,71,183,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Serdechko1.png',0,0,27,77,1,0)
	anim:SetHotSpot(13,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Serdechko1',anim,400,447,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Toporische.png',0,0,93,52,1,0)
	anim:SetHotSpot(46,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Toporische',anim,425,402,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Vint.png',0,0,182,187,1,0)
	anim:SetHotSpot(91,93)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Vint',anim,877,295,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_Hold/Zone_HO_steps/Layers/BG_Zontik.png',0,0,79,193,1,0)
	anim:SetHotSpot(39,96)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Zontik',anim,202,163,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/fly_anim.png',0,0,217,217,8,10)
	anim:SetHotSpot(108,108)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly_anim',anim,262,468,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
